Dual monitor configuration not saved across logout / login

Bug #1726538 reported by Jonathan Kamens on 2017-10-23
64
This bug affects 14 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Confirmed
Medium
gnome-shell (Ubuntu)
High
Unassigned

Bug Description

System76 Galaga UltraPro laptop.

Two monitors, one plugged into the DisplayPort and one plugged into HDMI.

I use the Displays settings page to tell the system which monitor is on the right and which is on the left, and tell it to make the left monitor the primary one. All is well.

Then I log out and log back in.

Now the two monitors are reversed -- i.e., it thinks that the monitor on the right is on the left and vice versa -- and the right monitor (which, remember, it thinks is on the left) is the primary one.

In short, it forgets the configuration I told it to use immediately before logging out.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: gnome-shell 3.26.1-0ubuntu4
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Uname: Linux 4.13.0-16-generic x86_64
ApportVersion: 2.20.7-0ubuntu3
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Mon Oct 23 14:55:09 2017
DisplayManager: gdm3
InstallationDate: Installed on 2017-05-19 (157 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
SourcePackage: gnome-shell
UpgradeStatus: Upgraded to artful on 2017-10-20 (3 days ago)

Jonathan Kamens (jik) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in gnome-shell (Ubuntu):
importance: Undecided → High
Daniel van Vugt (vanvugt) wrote :

Thanks for the bug report. This issue is already being tracked in bug 1292398 and bug 1716341.

tags: added: multimonitor
Jonathan Kamens (jik) wrote :

N.B. As indicated in a comment on bug 1716341. this is NOT a duplicate.

Daniel van Vugt (vanvugt) wrote :

OK. There is still bug 1292398 open though. Sounds too closely related to keep separate from this one. The people in bug 1292398 have been using Gnome Shell since at least 2014 so they certainly would have hit this problem before the rest of us...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Phil Hanson (hansonphil27) wrote :

been testing out some things with this - starting with both montitors correct, left monitor is primary, mouse moves across to right monitor ok. Then reboot/logoff and back on, monitors reversed and I have to manually change in settings / displays etc.

before the reboot, after manually making the correct display settings - I see in: stat -c %y .config/monitors.xml a timestamp of 2017-11-08 17:11:55.624995543 +0100

after the reboot the displays are back in the wrong setting and timestamp in stat -c %y .config/monitors.xml = 11-08 17:41:21.223296912 +0100

Phil Hanson (hansonphil27) wrote :

further update - prior to 17.10, my logon routine was to boot up my laptop with the screen open, then as soonn as my 2 monitors picked up the screen image during the boot up process, I closed my laptop screen fully shut, and completed the rest of the boot up process, including entering my logon password on the montiors, with the left one showing as my default primary monitor. This worked every time.

Since 17.10 this big 1726538 has occurred. I discovered today though that if I keep my laptop screen fully open throughout the boot up and logon process and type my logon password into the logon prompt on th laptop screen, then let the boot up process run fully, with the laptop screen open, when the boot up process ends the monitors are correct with the primary default monitor on the left and bug 1726538 does not occur. I close my laptop screen fully then and all is well. No issues. However if I close my laptop screen part way through the boot up process, before it is fully finished, the bug reappears and my montiors are switched round again.

For me this is a decent work around fix, although I'm not sure it's working as designed so probably still valid to keep this bug open and investigate some more.

Sebastien Bacher (seb128) wrote :

Somebody should report the issue upstream where it has better chances to be debugged...

Adrian (adrianf0) wrote :

I have reported the bug on Gnome Bugzilla.
https://bugzilla.gnome.org/show_bug.cgi?id=791583

tags: added: asked-to-upstream
Daniel van Vugt (vanvugt) wrote :

Maybe consider using bug 1292398 instead, and/or updating that one.

Changed in gnome-shell:
importance: Unknown → Medium
status: Unknown → Confirmed
Daniel van Vugt (vanvugt) wrote :

Can anyone still reproduce this bug? If so then what Ubuntu version?

Given the discussion has been quiet since 2017 and I don't recall having hit this myself, I suspect it was fixed in 18.04 at least.

Changed in gnome-shell (Ubuntu):
status: Confirmed → Incomplete
kevin335200 (kevin335200) wrote :

No, it's still not be fixed in 18.04.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.